Subject: Re: [PATCH] git-credential-netrc: fix uninitialized warning

From: Jonathan Nieder <[email-masked]>
Date: Tue, 8 Oct 2013 13:02:35 -0700

Ted Zlatanov wrote:
> On Tue, 8 Oct 2013 12:41:47 -0700 Jonathan Nieder <[email-masked]> wrote: 
> JN> Ted Zlatanov wrote:

>>> Simple patch to avoid unitialized warning and log what we'll do.
> JN> Sign-off?
>
> I didn't realize it was a requirement, must I?

See Documentation/SubmittingPatches, section '(5) Sign your work'
for what this means.

If you just forgot to sign off, that's fine and I can forge it or go
without.  If you are unable to sign off because you don't have the
right to submit the change under an open source license, I'd be a bit
worried going forward.

[...]
> JN> Or more simply, would it make sense to wrap both 'defined' checks into
> JN> a single "if", like so?
>
> JN> 		if (defined $entry->{$check} && defined $query->{$check}) {
> JN> 			...
> JN> 		} else {
> JN> 			log_debug(...);
> JN> 		}
>
> I prefer the explicit version because we can issue a more precise
> log_debug message.

That's fine with me.

After this patch, the code looks like

	if (!defined $entry->{$check}) {
		log_debug(...);
	} elsif (defined $query->{$check}) {
		...
	} else {
		log_debug(...);
	}

As a small nit, wouldn't it be more readable with the two !defined()
cases together?

	if (!defined $entry->{$check}) {
		...
	} elsif (!defined $query->{$check}) {
		...
	} else {
		...
	}

Thanks again.
Jonathan